Gson库的引用

小谷xg
  • 2.2k

项目中用到了retrofit网路请求框架,然后json解析系添加了
compile 'com.squareup.retrofit2:converter-gson:2.1.0'
感觉已经够用了,但是为什么看到有的项目中还要添加gosn库
compile 'com.google.code.gson:gson:2.6.2'

回复
阅读 5.6k
4 个回答

上面那个是retrofit自己再封装的包,而下方是谷歌官方的GSON包,经常就会出现一种状况,使用了retrofit,然后用了一些第三方工程是依赖官方Gson开发的工程,然后就没法只能都用上了,这就是使用第三方开源项目经常会出现的问题。

你把引用converter-gson:2.1.0'的代码考过去应该就行了。可能是编译工具看到gson后默认是用google的gson包吧。

默认依赖gson ,使用gson 解析 json。自己就不用再单独引用gson库了

1、converter-gson的依赖进行了透传,使得gson的依赖自动添加进来
2、可以使用@aar,把透传关闭

撰写回答
你尚未登录,登录后可以
  • 和开发者交流问题的细节
  • 关注并接收问题和回答的更新提醒
  • 参与内容的编辑和改进,让解决方法与时俱进
宣传栏